--
-- FahrAPN
-- This is the specialization for the fahr apn
--
-- @author  Manuel Leithner
-- @date  17/05/12
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

BaleUtil.registerBaleType("baler/bales/baleHay70.i3d", "dryGrass_windrow", 0.5, 0.4, 0.7, 0, false);
BaleUtil.registerBaleType("baler/bales/baleStraw70.i3d", "wheat_windrow", 0.5, 0.4, 0.7, 0, false);
BaleUtil.registerBaleType("baler/bales/baleStraw70.i3d", "barley_windrow", 0.5, 0.4, 0.7, 0, false);


FahrAPN = {};

function FahrAPN.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Baler, specializations) and SpecializationUtil.hasSpecialization(Cylindered, specializations) and SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function FahrAPN:load(savegame)
    self.balingAnimFadeTime = 1500;
    self.balingAnimFadeTimer = 0;
    self.animations["baling"].currentSpeed = 0;
end;

function FahrAPN:delete()
end;

function FahrAPN:mouseEvent(posX, posY, isDown, isUp, button)
end;

function FahrAPN:keyEvent(unicode, sym, modifier, isDown)
end;

function FahrAPN:update(dt)
    if not self:getIsAnimationPlaying("baling") then
        self:playAnimation("baling", 1, 0, true); 
    end;    
end;

function FahrAPN:updateTick(dt)
    if self.isTurnedOn then
        self.balingAnimFadeTimer = math.min(self.balingAnimFadeTimer + dt, self.balingAnimFadeTime);
    else
        self.balingAnimFadeTimer = math.max(self.balingAnimFadeTimer - dt, 0);
    end;
    self.animations["baling"].currentSpeed = self.balingAnimFadeTimer/self.balingAnimFadeTime;
end;

function FahrAPN:draw()
end